/*
Calculator2-komponentin luokkaosa on hyvin yksinkertainen

Tässä tapauksessa tärkein sovelluslogiikka, eli laskutoimitukset ovat html-osassa,
mikä on arkkitehtuurin kannalta huono ratkaisu, mutta yksinkertainen tapa tehdä
reaktiivinen laskin.
*/

import { Component } from '@angular/core';

@Component({
  selector: 'app-calculator2', // komponentin html-tagi
  templateUrl: './calculator2.component.html', // templaatti
  styleUrls: ['./calculator2.component.css'] // tyylitiedosto
})
/*
Luokassa on ominaisuuksia eli propertyjä ja
toiminnallisuuksia eli metodeja (luokan funktiota)
*/
export class Calculator2Component {

//ominaisuudet

val1: number;
val2: number;
op: string;

  // konstruktori antaa luokasta syntyvän olion muuttujille alkuarvot
  constructor() { 
    this.val1 = 0;
    this.val2 = 0;
    this.op = '+';
  }
  
  // metodit

  /* setOp settaa käyttöliittymän select-valikosta valitun arvon 
     op-muuttujan arvoksi
  */
  public setOp(val: string){
      this.op = val 
  }
}

